Skip to main content
`Ctrl`+`K`

# PetscObjectCompareId

compares the objects ID with a given id

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectCompareId(PetscObject obj, PetscObjectId id, PetscBool *eq)

Not Collective

## Input Parameters

- obj - object

- id - integer ID

## Output Parameter

- eq - the ids are equal

## Note

The object ID may be different on different processes, but object IDs are never reused so local equality implies global equality.

## See Also

`PetscObjectStateGet()`, `PetscObjectGetId()`

## Level

developer

## Location

src/sys/objects/state.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages